<%= case panel.display_type
    when 'pie'
      pie_chart panel.run_query(args).rows, download: false
    when 'line'
      line_chart panel.run_query(args).rows, download: false
    when 'bar'
      bar_chart panel.run_query(args).rows, download: false
    when 'column'
      column_chart panel.run_query(args).rows, download: false
    when 'area'
      area_chart panel.run_query(args).rows, download: false
    when 'scatter'
      scatter_chart panel.run_query(args).rows, download: false
    else 
      '<table>
        <tbody>
          <tr>
            <th>Total calls:</th><th>1</th>
          <tr>
        </tbody>
      </table>'.html_safe
    end %>
